### R code from vignette source 'monitoR_QuickStart.Rnw'

###################################################
### code chunk number 1: setup
###################################################
options(useFancyQuotes=FALSE)
library(knitr)
opts_chunk$set(comment="#",out.height="4.0in",out.width="4.0in",fig.height=5.2,fig.width=5.2,fig.align="center",cache=TRUE)
options(tidy=TRUE,width=65)


###################################################
### code chunk number 2: monitoR_QuickStart.Rnw:27-34
###################################################
library(tuneR)
library(monitoR)
#sf<-list.files('/home/sasha/Dropbox/UVMacoustic/monitoR/R',full.names=TRUE)
#sf<-sf[!grepl("eventEval.R",sf)]
#for(ff in sf) source(ff)
#df<-list.files('/home/sasha/Dropbox/UVMacoustic/monitoR/data',full.names=TRUE)
#for(ff in df) load(ff)


###################################################
### code chunk number 3: monitoR_QuickStart.Rnw:45-46 (eval = FALSE)
###################################################
## library(monitoR)


###################################################
### code chunk number 4: monitoR_QuickStart.Rnw:51-53
###################################################
data(survey)
survey


###################################################
### code chunk number 5: monitoR_QuickStart.Rnw:61-62
###################################################
viewSpec(survey)


###################################################
### code chunk number 6: monitoR_QuickStart.Rnw:70-72 (eval = FALSE)
###################################################
## setWavPlayer("play")
## play(survey)


###################################################
### code chunk number 7: monitoR_QuickStart.Rnw:82-86
###################################################
data(btnw)
data(oven)
btnw
oven


###################################################
### code chunk number 8: monitoR_QuickStart.Rnw:89-90
###################################################
viewSpec(btnw)


###################################################
### code chunk number 9: monitoR_QuickStart.Rnw:92-93
###################################################
viewSpec(oven)


###################################################
### code chunk number 10: monitoR_QuickStart.Rnw:103-106
###################################################
writeWave(btnw,"btnw.wav")
writeWave(oven,"oven.wav")
writeWave(survey,"survey2010-12-31_120000_EST.wav")


###################################################
### code chunk number 11: monitoR_QuickStart.Rnw:117-118
###################################################
wct1<-makeCorTemplate("btnw.wav")


###################################################
### code chunk number 12: monitoR_QuickStart.Rnw:130-131
###################################################
wct1


###################################################
### code chunk number 13: monitoR_QuickStart.Rnw:147-149
###################################################
wct1<-makeCorTemplate("btnw.wav",name="w1")
wct1


###################################################
### code chunk number 14: monitoR_QuickStart.Rnw:156-158
###################################################
wct2<-makeCorTemplate("btnw.wav",t.lim=c(1.5,2.1),frq.lim=c(4.2,5.6),name="w2")
wct2


###################################################
### code chunk number 15: monitoR_QuickStart.Rnw:163-164
###################################################
oct1<-makeCorTemplate("oven.wav",t.lim=c(1,4),frq.lim=c(1,11),name="o1")


###################################################
### code chunk number 16: monitoR_QuickStart.Rnw:169-170
###################################################
oct2<-makeCorTemplate("oven.wav",t.lim=c(1,4),frq.lim=c(1,11),dens=0.1,name="o2")


###################################################
### code chunk number 17: monitoR_QuickStart.Rnw:179-181
###################################################
ctemps<-combineCorTemplates(wct1,wct2,oct1,oct2)
ctemps


###################################################
### code chunk number 18: monitoR_QuickStart.Rnw:189-190 (eval = FALSE)
###################################################
## plot(ctemps)


###################################################
### code chunk number 19: monitoR_QuickStart.Rnw:200-201
###################################################
cscores<-corMatch("survey2010-12-31_120000_EST.wav",ctemps)


###################################################
### code chunk number 20: monitoR_QuickStart.Rnw:211-212
###################################################
cscores


###################################################
### code chunk number 21: monitoR_QuickStart.Rnw:219-220
###################################################
cdetects<-findPeaks(cscores)


###################################################
### code chunk number 22: monitoR_QuickStart.Rnw:226-227
###################################################
cdetects


###################################################
### code chunk number 23: monitoR_QuickStart.Rnw:233-234
###################################################
getDetections(cdetects)


###################################################
### code chunk number 24: monitoR_QuickStart.Rnw:240-241
###################################################
ctemps


###################################################
### code chunk number 25: monitoR_QuickStart.Rnw:249-250
###################################################
plot(cdetects)


###################################################
### code chunk number 26: monitoR_QuickStart.Rnw:264-265
###################################################
templateCutoff(ctemps)


###################################################
### code chunk number 27: monitoR_QuickStart.Rnw:270-271
###################################################
templateCutoff(ctemps)[2:4]<-c(0.3,0.2,0.2)


###################################################
### code chunk number 28: monitoR_QuickStart.Rnw:276-278
###################################################
templateCutoff(ctemps)<-c(w2=0.3,o1=0.2,o2=0.2)
ctemps


###################################################
### code chunk number 29: monitoR_QuickStart.Rnw:283-285
###################################################
templateCutoff(ctemps)<-c(w2=0.3,default=0.2)
ctemps


###################################################
### code chunk number 30: monitoR_QuickStart.Rnw:293-294
###################################################
templateCutoff(cdetects)<-c(w2=0.3,default=0.2)


###################################################
### code chunk number 31: monitoR_QuickStart.Rnw:303-304
###################################################
cdetects


###################################################
### code chunk number 32: monitoR_QuickStart.Rnw:311-312
###################################################
plot(cdetects)


###################################################
### code chunk number 33: monitoR_QuickStart.Rnw:320-322
###################################################
cdetects<-cdetects[c("w2","o2")]
cdetects


###################################################
### code chunk number 34: monitoR_QuickStart.Rnw:325-326
###################################################
plot(cdetects)


###################################################
### code chunk number 35: monitoR_QuickStart.Rnw:361-362
###################################################
wbt1<-makeBinTemplate("btnw.wav",amp.cutoff=-40,name="w1")


###################################################
### code chunk number 36: monitoR_QuickStart.Rnw:370-371
###################################################
wbt2<-makeBinTemplate("btnw.wav",amp.cutoff=-30,t.lim=c(1.5,2.1),frq.lim=c(4.2,5.6),buffer=2,name="w2")


###################################################
### code chunk number 37: monitoR_QuickStart.Rnw:378-380
###################################################
obt1<-makeBinTemplate("oven.wav",amp.cutoff=-20,t.lim=c(1,4),frq.lim=c(1,11),name="o1")
obt2<-makeBinTemplate("oven.wav",amp.cutoff=-17,t.lim=c(1,4),frq.lim=c(1,11),buffer=2,name="o2")


###################################################
### code chunk number 38: monitoR_QuickStart.Rnw:385-387
###################################################
btemps<-combineBinTemplates(wbt1,wbt2,obt1,obt2)
btemps


###################################################
### code chunk number 39: monitoR_QuickStart.Rnw:394-395
###################################################
bscores<-binMatch("survey2010-12-31_120000_EST.wav",btemps)


###################################################
### code chunk number 40: monitoR_QuickStart.Rnw:401-402
###################################################
bdetects<-findPeaks(bscores)


###################################################
### code chunk number 41: monitoR_QuickStart.Rnw:407-408
###################################################
plot(bdetects)


###################################################
### code chunk number 42: monitoR_QuickStart.Rnw:417-418
###################################################
bdetects<-bdetects[-1]


###################################################
### code chunk number 43: monitoR_QuickStart.Rnw:421-422
###################################################
templateCutoff(bdetects)<-c(w2=7,default=4)


###################################################
### code chunk number 44: monitoR_QuickStart.Rnw:425-426
###################################################
plot(bdetects)


###################################################
### code chunk number 45: monitoR_QuickStart.Rnw:431-432
###################################################
getDetections(bdetects)


